@import "./../../../scss/variables";

.event-card-container {
  padding: 2vh;
  cursor: pointer;
}

.channel-name-container {
  border: 2px solid $primary-light;
  border-radius: 20px;
  padding: 0.5vh 2vh 0.3vh;
  color: $primary;
}

.event-author-username-photo-container {
  width: 30vh;
}

.event-author-photo {
  width: 4vh;
  height: 4vh;
  border-radius: 50%;
}

.event-author-username {
  padding: 0.5vh;
  color: $primary-neutral;
  margin-left: 2vh;
  font-size: 2vh;
}

.event-card-thumbnail-image-container {
  margin-left: 1vh;
  width: 100px;
  height: 100px;
}

.event-title {
  color: $primary-dark;
  font-weight: bold;
  font-size: 3vh;
}

.event-time-photo-container {
  margin-top: 2vh;
}

.event-time-and-action-photo {
  width: 3vh;
  height: 3vh;
}

.action-photo-idle {
  filter: $primary-filter;
}

.action-photo-clicked-going {
  filter: $complement-dark-01-filter;
}

.action-photo-clicked-like {
  filter: $red-heart-filter;
}

.event-time-and-action-info {
  color: $primary;
  margin-left: 1vh;
  font-size: 1.8vh;
}

.action-info-clicked {
  color: $primary-dark;
}

.event-short-description {
  margin-top: 2vh;
  color: $primary-neutral;
}

.desc-overflow {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.event-action-buttons-container {
  margin-top: 2vh;
  width: 18vh;
}

.event-action-photo {
  width: 3vh;
  height: 3vh;
}
